import java.io.Serializable;

public class LivroSerializavel implements Serializable {
	private static final long serialVersionUID = 302L;
	private String nome;
	private String autor;
	private int ano;
	private double preco;
	
	public LivroSerializavel(String nome, String autor, int ano, double preco) {
		this.nome = nome;
		this.autor = autor;
		this.ano = ano;
		this.preco = preco;
	}

	public void setNome(String nome){    
    	this.nome = nome;
    }

	public void setAutor(String autor){    
    	this.autor = autor;
    }

	public void setAno(int ano){    
    	this.ano = ano;
    }

	public void setPreco(double preco){    
    	this.preco = preco;
    }
	
	public String getNome(){    
    	return nome;
    }

	public String getAutor(){    
    	return autor;
    }

	public int getAno(){    
    	return ano;
    }

	public double getPreco(){    
    	return preco;
    }
	
	public String toString() {
		String out = "Livro " + nome + " do autor "+ autor+ "foi publicado em " + ano + "e custa R$" + preco;
		return out;
	}
}