import java.io.*;
import java.util.Formatter;
import java.util.Scanner;

public class TesteFile11 {
	public static void main(String[] args) {
		String filename = "livros.dat";
		int i=0;
		// Tenta abrir o arquivo
		
		try {
			ObjectInputStream input = new ObjectInputStream(new FileInputStream(filename));
			while (true) {
				LivroSerializavel l = (LivroSerializavel) input.readObject();
				// imprime na tela os registros coletados
				System.out.println("***** Lendo registro do livro " + (++i));
				System.out.format(" Titulo: %s\n Autor: %s\n Ano de publicação: %d\n Preço: %.2f\n", l.getNome(), l.getAutor(), l.getAno(), l.getPreco());
			} 
		} catch (EOFException endOfFileException) {
			// essa exceção é utilizada apenas para terminar a leitura do arquivo de entrada
			return;
		} catch (ClassNotFoundException classNotFoundException) {
			System.err.print("Classe incompatível para desserialização.");
			System.exit(1) ; 
		} catch (IOException ex) {
			ex.printStackTrace();
		}
	}
}
