import java.io.*;
public class TesteFile4 {  
   public static void main(String[] args) {
      String inFileStr = "IO.png";
      String outFileStr = "IO-out.png";
      FileInputStream in = null;
      FileOutputStream out = null;
      long startTime, elapsedTime;  // tempo para copia
 
      // Imprime tamanho do arquivo
      File fileIn = new File(inFileStr);
      System.out.println("Tamanho do arquivo é " + fileIn.length() + " bytes");
 
      try {
         in = new FileInputStream(inFileStr);
         out = new FileOutputStream(outFileStr);
 
         startTime = System.nanoTime();
         int byteRead;
         // Lê um byte "cru", retorna um valor entre 0 e 255
         while ((byteRead = in.read()) != -1) {
            // Como o int tem 4 bytes, vamos desprezar os 3 mais significativos 
            out.write(byteRead);
         }
         elapsedTime = System.nanoTime() - startTime;
         System.out.println("Tempo para cópia:  " + (elapsedTime / 1000000.0) + " msec");
      } catch (IOException ex) {
         ex.printStackTrace();
      } finally {  // fecgha os I/O streams
         try {
            if (in != null) in.close();
            if (out != null) out.close();
         } catch (IOException ex) {
            ex.printStackTrace();
         }
      }
   }
}
