import java.io.*;
public class TesteFile5 {  
	public static void main(String[] args) {
		String inFileStr = "IO.png";
		String outFileStr = "IO-out.png";
		BufferedInputStream in = null;
		BufferedOutputStream out = null;
		long startTime, elapsedTime;  // tempo para copia
	   
		// Imprime tamanho do arquivo
		File fileIn = new File(inFileStr);
		System.out.println("Tamanho do arquivo é " + fileIn.length() + " bytes");
 
		try {
			in  = new BufferedInputStream(new FileInputStream(inFileStr));
			out = new BufferedOutputStream(new FileOutputStream(outFileStr));
			startTime = System.nanoTime();
			int byteRead;
			while ((byteRead = in.read()) != -1) {  // Lê byte-a-byte do buffer
				out.write(byteRead);
			}
			elapsedTime = System.nanoTime() - startTime;
            System.out.println("Tempo para cópia:  " + (elapsedTime / 1000000.0) + " msec");
		} catch (IOException ex) {
			ex.printStackTrace();
		} finally {            
			try {
				if (in != null) in.close();
				if (out != null) out.close();
			} catch (IOException ex) { ex.printStackTrace(); }
		}
	}
}
